Management UI
Update an Organization
Updates information of an organization.
PATCH
/
management
/
v2.0
/
organisations
/
{organisationId}
Update an Organization
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"disabled": true,
"quotaMaxProjects": 123,
"quotaMaxUsers": 123,
"quotaMaxChannelsPerProject": 123,
"quotaMaxMessagesPerDay": 123,
"quotaMaxKnowledgeChunks": 123,
"passwordPolicy": {
"minLength": 123,
"maxLength": 123,
"minAmountLowerCase": 123,
"minAmountUpperCase": 123,
"minAmountSpecialCharacters": 123,
"minAmountNumbers": 123,
"maxAmountIdenticalCharacters": 123,
"minAmountFailedAttemptsAutoDisable": 123
},
"sessionStateTTLInMinutes": 123,
"contactProfileTTLInMinutes": 123,
"conversationTTLInMinutes": 123,
"billingTimezone": "Europe/Berlin",
"dataPrivacySettings": {
"enabled": true,
"useAnalytics": true,
"useContactProfiles": true,
"useConversations": true,
"maskAnalytics": true,
"maskLogging": true,
"ignoreList": [
"<string>"
]
},
"voiceConfigurations": {
"enableNiceSharedProviders": true,
"orgVoiceGatewayEnabled": true,
"niceProvidedSpeechEntitlements": [
{
"vendor": "<string>",
"stt": true,
"tts": true
}
]
},
"aiOpsCenterEnabled": true,
"proactiveProductEnabled": true,
"orgInPlatformLlmEnabled": true,
"orgResellLlmEnabled": true,
"simulator": {
"paidTier": true,
"runsMonthlyQuota": 1
},
"quotaMaxResourceUsage": 1,
"resourceUsagePaidTier": true,
"businessUnitId": "<string>",
"tenantId": "<string>"
}
'import requests
url = "https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}"
payload = {
"name": "<string>",
"disabled": True,
"quotaMaxProjects": 123,
"quotaMaxUsers": 123,
"quotaMaxChannelsPerProject": 123,
"quotaMaxMessagesPerDay": 123,
"quotaMaxKnowledgeChunks": 123,
"passwordPolicy": {
"minLength": 123,
"maxLength": 123,
"minAmountLowerCase": 123,
"minAmountUpperCase": 123,
"minAmountSpecialCharacters": 123,
"minAmountNumbers": 123,
"maxAmountIdenticalCharacters": 123,
"minAmountFailedAttemptsAutoDisable": 123
},
"sessionStateTTLInMinutes": 123,
"contactProfileTTLInMinutes": 123,
"conversationTTLInMinutes": 123,
"billingTimezone": "Europe/Berlin",
"dataPrivacySettings": {
"enabled": True,
"useAnalytics": True,
"useContactProfiles": True,
"useConversations": True,
"maskAnalytics": True,
"maskLogging": True,
"ignoreList": ["<string>"]
},
"voiceConfigurations": {
"enableNiceSharedProviders": True,
"orgVoiceGatewayEnabled": True,
"niceProvidedSpeechEntitlements": [
{
"vendor": "<string>",
"stt": True,
"tts": True
}
]
},
"aiOpsCenterEnabled": True,
"proactiveProductEnabled": True,
"orgInPlatformLlmEnabled": True,
"orgResellLlmEnabled": True,
"simulator": {
"paidTier": True,
"runsMonthlyQuota": 1
},
"quotaMaxResourceUsage": 1,
"resourceUsagePaidTier": True,
"businessUnitId": "<string>",
"tenantId": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
disabled: true,
quotaMaxProjects: 123,
quotaMaxUsers: 123,
quotaMaxChannelsPerProject: 123,
quotaMaxMessagesPerDay: 123,
quotaMaxKnowledgeChunks: 123,
passwordPolicy: {
minLength: 123,
maxLength: 123,
minAmountLowerCase: 123,
minAmountUpperCase: 123,
minAmountSpecialCharacters: 123,
minAmountNumbers: 123,
maxAmountIdenticalCharacters: 123,
minAmountFailedAttemptsAutoDisable: 123
},
sessionStateTTLInMinutes: 123,
contactProfileTTLInMinutes: 123,
conversationTTLInMinutes: 123,
billingTimezone: 'Europe/Berlin',
dataPrivacySettings: {
enabled: true,
useAnalytics: true,
useContactProfiles: true,
useConversations: true,
maskAnalytics: true,
maskLogging: true,
ignoreList: ['<string>']
},
voiceConfigurations: {
enableNiceSharedProviders: true,
orgVoiceGatewayEnabled: true,
niceProvidedSpeechEntitlements: [{vendor: '<string>', stt: true, tts: true}]
},
aiOpsCenterEnabled: true,
proactiveProductEnabled: true,
orgInPlatformLlmEnabled: true,
orgResellLlmEnabled: true,
simulator: {paidTier: true, runsMonthlyQuota: 1},
quotaMaxResourceUsage: 1,
resourceUsagePaidTier: true,
businessUnitId: '<string>',
tenantId: '<string>'
})
};
fetch('https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'disabled' => true,
'quotaMaxProjects' => 123,
'quotaMaxUsers' => 123,
'quotaMaxChannelsPerProject' => 123,
'quotaMaxMessagesPerDay' => 123,
'quotaMaxKnowledgeChunks' => 123,
'passwordPolicy' => [
'minLength' => 123,
'maxLength' => 123,
'minAmountLowerCase' => 123,
'minAmountUpperCase' => 123,
'minAmountSpecialCharacters' => 123,
'minAmountNumbers' => 123,
'maxAmountIdenticalCharacters' => 123,
'minAmountFailedAttemptsAutoDisable' => 123
],
'sessionStateTTLInMinutes' => 123,
'contactProfileTTLInMinutes' => 123,
'conversationTTLInMinutes' => 123,
'billingTimezone' => 'Europe/Berlin',
'dataPrivacySettings' => [
'enabled' => true,
'useAnalytics' => true,
'useContactProfiles' => true,
'useConversations' => true,
'maskAnalytics' => true,
'maskLogging' => true,
'ignoreList' => [
'<string>'
]
],
'voiceConfigurations' => [
'enableNiceSharedProviders' => true,
'orgVoiceGatewayEnabled' => true,
'niceProvidedSpeechEntitlements' => [
[
'vendor' => '<string>',
'stt' => true,
'tts' => true
]
]
],
'aiOpsCenterEnabled' => true,
'proactiveProductEnabled' => true,
'orgInPlatformLlmEnabled' => true,
'orgResellLlmEnabled' => true,
'simulator' => [
'paidTier' => true,
'runsMonthlyQuota' => 1
],
'quotaMaxResourceUsage' => 1,
'resourceUsagePaidTier' => true,
'businessUnitId' => '<string>',
'tenantId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"disabled\": true,\n \"quotaMaxProjects\": 123,\n \"quotaMaxUsers\": 123,\n \"quotaMaxChannelsPerProject\": 123,\n \"quotaMaxMessagesPerDay\": 123,\n \"quotaMaxKnowledgeChunks\": 123,\n \"passwordPolicy\": {\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minAmountLowerCase\": 123,\n \"minAmountUpperCase\": 123,\n \"minAmountSpecialCharacters\": 123,\n \"minAmountNumbers\": 123,\n \"maxAmountIdenticalCharacters\": 123,\n \"minAmountFailedAttemptsAutoDisable\": 123\n },\n \"sessionStateTTLInMinutes\": 123,\n \"contactProfileTTLInMinutes\": 123,\n \"conversationTTLInMinutes\": 123,\n \"billingTimezone\": \"Europe/Berlin\",\n \"dataPrivacySettings\": {\n \"enabled\": true,\n \"useAnalytics\": true,\n \"useContactProfiles\": true,\n \"useConversations\": true,\n \"maskAnalytics\": true,\n \"maskLogging\": true,\n \"ignoreList\": [\n \"<string>\"\n ]\n },\n \"voiceConfigurations\": {\n \"enableNiceSharedProviders\": true,\n \"orgVoiceGatewayEnabled\": true,\n \"niceProvidedSpeechEntitlements\": [\n {\n \"vendor\": \"<string>\",\n \"stt\": true,\n \"tts\": true\n }\n ]\n },\n \"aiOpsCenterEnabled\": true,\n \"proactiveProductEnabled\": true,\n \"orgInPlatformLlmEnabled\": true,\n \"orgResellLlmEnabled\": true,\n \"simulator\": {\n \"paidTier\": true,\n \"runsMonthlyQuota\": 1\n },\n \"quotaMaxResourceUsage\": 1,\n \"resourceUsagePaidTier\": true,\n \"businessUnitId\": \"<string>\",\n \"tenantId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"disabled\": true,\n \"quotaMaxProjects\": 123,\n \"quotaMaxUsers\": 123,\n \"quotaMaxChannelsPerProject\": 123,\n \"quotaMaxMessagesPerDay\": 123,\n \"quotaMaxKnowledgeChunks\": 123,\n \"passwordPolicy\": {\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minAmountLowerCase\": 123,\n \"minAmountUpperCase\": 123,\n \"minAmountSpecialCharacters\": 123,\n \"minAmountNumbers\": 123,\n \"maxAmountIdenticalCharacters\": 123,\n \"minAmountFailedAttemptsAutoDisable\": 123\n },\n \"sessionStateTTLInMinutes\": 123,\n \"contactProfileTTLInMinutes\": 123,\n \"conversationTTLInMinutes\": 123,\n \"billingTimezone\": \"Europe/Berlin\",\n \"dataPrivacySettings\": {\n \"enabled\": true,\n \"useAnalytics\": true,\n \"useContactProfiles\": true,\n \"useConversations\": true,\n \"maskAnalytics\": true,\n \"maskLogging\": true,\n \"ignoreList\": [\n \"<string>\"\n ]\n },\n \"voiceConfigurations\": {\n \"enableNiceSharedProviders\": true,\n \"orgVoiceGatewayEnabled\": true,\n \"niceProvidedSpeechEntitlements\": [\n {\n \"vendor\": \"<string>\",\n \"stt\": true,\n \"tts\": true\n }\n ]\n },\n \"aiOpsCenterEnabled\": true,\n \"proactiveProductEnabled\": true,\n \"orgInPlatformLlmEnabled\": true,\n \"orgResellLlmEnabled\": true,\n \"simulator\": {\n \"paidTier\": true,\n \"runsMonthlyQuota\": 1\n },\n \"quotaMaxResourceUsage\": 1,\n \"resourceUsagePaidTier\": true,\n \"businessUnitId\": \"<string>\",\n \"tenantId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"disabled\": true,\n \"quotaMaxProjects\": 123,\n \"quotaMaxUsers\": 123,\n \"quotaMaxChannelsPerProject\": 123,\n \"quotaMaxMessagesPerDay\": 123,\n \"quotaMaxKnowledgeChunks\": 123,\n \"passwordPolicy\": {\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minAmountLowerCase\": 123,\n \"minAmountUpperCase\": 123,\n \"minAmountSpecialCharacters\": 123,\n \"minAmountNumbers\": 123,\n \"maxAmountIdenticalCharacters\": 123,\n \"minAmountFailedAttemptsAutoDisable\": 123\n },\n \"sessionStateTTLInMinutes\": 123,\n \"contactProfileTTLInMinutes\": 123,\n \"conversationTTLInMinutes\": 123,\n \"billingTimezone\": \"Europe/Berlin\",\n \"dataPrivacySettings\": {\n \"enabled\": true,\n \"useAnalytics\": true,\n \"useContactProfiles\": true,\n \"useConversations\": true,\n \"maskAnalytics\": true,\n \"maskLogging\": true,\n \"ignoreList\": [\n \"<string>\"\n ]\n },\n \"voiceConfigurations\": {\n \"enableNiceSharedProviders\": true,\n \"orgVoiceGatewayEnabled\": true,\n \"niceProvidedSpeechEntitlements\": [\n {\n \"vendor\": \"<string>\",\n \"stt\": true,\n \"tts\": true\n }\n ]\n },\n \"aiOpsCenterEnabled\": true,\n \"proactiveProductEnabled\": true,\n \"orgInPlatformLlmEnabled\": true,\n \"orgResellLlmEnabled\": true,\n \"simulator\": {\n \"paidTier\": true,\n \"runsMonthlyQuota\": 1\n },\n \"quotaMaxResourceUsage\": 1,\n \"resourceUsagePaidTier\": true,\n \"businessUnitId\": \"<string>\",\n \"tenantId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {},
"logLevel": "error"
}{
"type": "Method Not Allowed",
"title": "Method Not Allowed Error",
"status": 405,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Conflict",
"title": "Conflict Error",
"status": 409,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1004,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payload Too Large",
"title": "Payload Too Large Error",
"status": 413,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Internal Server Error",
"title": "Internal Server Error",
"status": 500,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Implemented",
"title": "Not Implemented Error",
"status": 501,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1009,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Bad Gateway",
"title": "Bad Gateway Error",
"status": 502,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Service Unavailable",
"title": "Service Unavailable Error",
"status": 503,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 503,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Gateway Timeout",
"title": "Gateway Timeout Error",
"status": 504,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}Authorizations
Headers
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
Available options:
application/json, application/hal+json, application/xml, text/xml, text/csv Path Parameters
Body
application/json
Timezone according to IANA Timezone Database (2020a)
Available options:
Africa/Abidjan, Africa/Accra, Africa/Addis_Ababa, Africa/Algiers, Africa/Asmara, Africa/Asmera, Africa/Bamako, Africa/Bangui, Africa/Banjul, Africa/Bissau, Africa/Blantyre, Africa/Brazzaville, Africa/Bujumbura, Africa/Cairo, Africa/Casablanca, Africa/Ceuta, Africa/Conakry, Africa/Dakar, Africa/Dar_es_Salaam, Africa/Djibouti, Africa/Douala, Africa/El_Aaiun, Africa/Freetown, Africa/Gaborone, Africa/Harare, Africa/Johannesburg, Africa/Juba, Africa/Kampala, Africa/Khartoum, Africa/Kigali, Africa/Kinshasa, Africa/Lagos, Africa/Libreville, Africa/Lome, Africa/Luanda, Africa/Lubumbashi, Africa/Lusaka, Africa/Malabo, Africa/Maputo, Africa/Maseru, Africa/Mbabane, Africa/Mogadishu, Africa/Monrovia, Africa/Nairobi, Africa/Ndjamena, Africa/Niamey, Africa/Nouakchott, Africa/Ouagadougou, Africa/Porto-Novo, Africa/Sao_Tome, Africa/Timbuktu, Africa/Tripoli, Africa/Tunis, Africa/Windhoek, America/Adak, America/Anchorage, America/Anguilla, America/Antigua, America/Araguaina, America/Argentina/Buenos_Aires, America/Argentina/Catamarca, America/Argentina/ComodRivadavia, America/Argentina/Cordoba, America/Argentina/Jujuy, America/Argentina/La_Rioja, America/Argentina/Mendoza, America/Argentina/Rio_Gallegos, America/Argentina/Salta, America/Argentina/San_Juan, America/Argentina/San_Luis, America/Argentina/Tucuman, America/Argentina/Ushuaia, America/Aruba, America/Asuncion, America/Atikokan, America/Atka, America/Bahia, America/Bahia_Banderas, America/Barbados, America/Belem, America/Belize, America/Blanc-Sablon, America/Boa_Vista, America/Bogota, America/Boise, America/Buenos_Aires, America/Cambridge_Bay, America/Campo_Grande, America/Cancun, America/Caracas, America/Catamarca, America/Cayenne, America/Cayman, America/Chicago, America/Chihuahua, America/Coral_Harbour, America/Cordoba, America/Costa_Rica, America/Creston, America/Cuiaba, America/Curacao, America/Danmarkshavn, America/Dawson, America/Dawson_Creek, America/Denver, America/Detroit, America/Dominica, America/Edmonton, America/Eirunepe, America/El_Salvador, America/Ensenada, America/Fort_Nelson, America/Fort_Wayne, America/Fortaleza, America/Glace_Bay, America/Godthab, America/Goose_Bay, America/Grand_Turk, America/Grenada, America/Guadeloupe, America/Guatemala, America/Guayaquil, America/Guyana, America/Halifax, America/Havana, America/Hermosillo, America/Indiana/Indianapolis, America/Indiana/Knox, America/Indiana/Marengo, America/Indiana/Petersburg, America/Indiana/Tell_City, America/Indiana/Vevay, America/Indiana/Vincennes, America/Indiana/Winamac, America/Indianapolis, America/Inuvik, America/Iqaluit, America/Jamaica, America/Jujuy, America/Juneau, America/Kentucky/Louisville, America/Kentucky/Monticello, America/Knox_IN, America/Kralendijk, America/La_Paz, America/Lima, America/Los_Angeles, America/Louisville, America/Lower_Princes, America/Maceio, America/Managua, America/Manaus, America/Marigot, America/Martinique, America/Matamoros, America/Mazatlan, America/Mendoza, America/Menominee, America/Merida, America/Metlakatla, America/Mexico_City, America/Miquelon, America/Moncton, America/Monterrey, America/Montevideo, America/Montreal, America/Montserrat, America/Nassau, America/New_York, America/Nipigon, America/Nome, America/Noronha, America/North_Dakota/Beulah, America/North_Dakota/Center, America/North_Dakota/New_Salem, America/Ojinaga, America/Panama, America/Pangnirtung, America/Paramaribo, America/Phoenix, America/Port-au-Prince, America/Port_of_Spain, America/Porto_Acre, America/Porto_Velho, America/Puerto_Rico, America/Punta_Arenas, America/Rainy_River, America/Rankin_Inlet, America/Recife, America/Regina, America/Resolute, America/Rio_Branco, America/Rosario, America/Santa_Isabel, America/Santarem, America/Santiago, America/Santo_Domingo, America/Sao_Paulo, America/Scoresbysund, America/Shiprock, America/Sitka, America/St_Barthelemy, America/St_Johns, America/St_Kitts, America/St_Lucia, America/St_Thomas, America/St_Vincent, America/Swift_Current, America/Tegucigalpa, America/Thule, America/Thunder_Bay, America/Tijuana, America/Toronto, America/Tortola, America/Vancouver, America/Virgin, America/Whitehorse, America/Winnipeg, America/Yakutat, America/Yellowknife, Antarctica/Casey, Antarctica/Davis, Antarctica/DumontDUrville, Antarctica/Macquarie, Antarctica/Mawson, Antarctica/McMurdo, Antarctica/Palmer, Antarctica/Rothera, Antarctica/South_Pole, Antarctica/Syowa, Antarctica/Troll, Antarctica/Vostok, Arctic/Longyearbyen, Asia/Aden, Asia/Almaty, Asia/Amman, Asia/Anadyr, Asia/Aqtau, Asia/Aqtobe, Asia/Ashgabat, Asia/Ashkhabad, Asia/Atyrau, Asia/Baghdad, Asia/Bahrain, Asia/Baku, Asia/Bangkok, Asia/Barnaul, Asia/Beirut, Asia/Bishkek, Asia/Brunei, Asia/Calcutta, Asia/Chita, Asia/Choibalsan, Asia/Chongqing, Asia/Chungking, Asia/Colombo, Asia/Dacca, Asia/Damascus, Asia/Dhaka, Asia/Dili, Asia/Dubai, Asia/Dushanbe, Asia/Famagusta, Asia/Gaza, Asia/Harbin, Asia/Hebron, Asia/Ho_Chi_Minh, Asia/Hong_Kong, Asia/Hovd, Asia/Irkutsk, Asia/Istanbul, Asia/Jakarta, Asia/Jayapura, Asia/Jerusalem, Asia/Kabul, Asia/Kamchatka, Asia/Karachi, Asia/Kashgar, Asia/Kathmandu, Asia/Katmandu, Asia/Khandyga, Asia/Kolkata, Asia/Krasnoyarsk, Asia/Kuala_Lumpur, Asia/Kuching, Asia/Kuwait, Asia/Macao, Asia/Macau, Asia/Magadan, Asia/Makassar, Asia/Manila, Asia/Muscat, Asia/Nicosia, Asia/Novokuznetsk, Asia/Novosibirsk, Asia/Omsk, Asia/Oral, Asia/Phnom_Penh, Asia/Pontianak, Asia/Pyongyang, Asia/Qatar, Asia/Qyzylorda, Asia/Rangoon, Asia/Riyadh, Asia/Saigon, Asia/Sakhalin, Asia/Samarkand, Asia/Seoul, Asia/Shanghai, Asia/Singapore, Asia/Srednekolymsk, Asia/Taipei, Asia/Tashkent, Asia/Tbilisi, Asia/Tehran, Asia/Tel_Aviv, Asia/Thimbu, Asia/Thimphu, Asia/Tokyo, Asia/Tomsk, Asia/Ujung_Pandang, Asia/Ulaanbaatar, Asia/Ulan_Bator, Asia/Urumqi, Asia/Ust-Nera, Asia/Vientiane, Asia/Vladivostok, Asia/Yakutsk, Asia/Yangon, Asia/Yekaterinburg, Asia/Yerevan, Atlantic/Azores, Atlantic/Bermuda, Atlantic/Canary, Atlantic/Cape_Verde, Atlantic/Faeroe, Atlantic/Faroe, Atlantic/Jan_Mayen, Atlantic/Madeira, Atlantic/Reykjavik, Atlantic/South_Georgia, Atlantic/St_Helena, Atlantic/Stanley, Australia/ACT, Australia/Adelaide, Australia/Brisbane, Australia/Broken_Hill, Australia/Canberra, Australia/Currie, Australia/Darwin, Australia/Eucla, Australia/Hobart, Australia/LHI, Australia/Lindeman, Australia/Lord_Howe, Australia/Melbourne, Australia/NSW, Australia/North, Australia/Perth, Australia/Queensland, Australia/South, Australia/Sydney, Australia/Tasmania, Australia/Victoria, Australia/West, Australia/Yancowinna, Brazil/Acre, Brazil/DeNoronha, Brazil/East, Brazil/West, CET, CST6CDT, Canada/Atlantic, Canada/Central, Canada/Eastern, Canada/Mountain, Canada/Newfoundland, Canada/Pacific, Canada/Saskatchewan, Canada/Yukon, Chile/Continental, Chile/EasterIsland, Cuba, EET, EST, EST5EDT, Egypt, Eire, Etc/GMT, Etc/GMT+0, Etc/GMT+1, Etc/GMT+10, Etc/GMT+11, Etc/GMT+12, Etc/GMT+2, Etc/GMT+3, Etc/GMT+4, Etc/GMT+5, Etc/GMT+6, Etc/GMT+7, Etc/GMT+8, Etc/GMT+9, Etc/GMT-0, Etc/GMT-1, Etc/GMT-10, Etc/GMT-11, Etc/GMT-12, Etc/GMT-13, Etc/GMT-14, Etc/GMT-2, Etc/GMT-3, Etc/GMT-4, Etc/GMT-5, Etc/GMT-6, Etc/GMT-7, Etc/GMT-8, Etc/GMT-9, Etc/GMT0, Etc/Greenwich, Etc/UCT, Etc/UTC, Etc/Universal, Etc/Zulu, Europe/Amsterdam, Europe/Andorra, Europe/Astrakhan, Europe/Athens, Europe/Belfast, Europe/Belgrade, Europe/Berlin, Europe/Bratislava, Europe/Brussels, Europe/Bucharest, Europe/Budapest, Europe/Busingen, Europe/Chisinau, Europe/Copenhagen, Europe/Dublin, Europe/Gibraltar, Europe/Guernsey, Europe/Helsinki, Europe/Isle_of_Man, Europe/Istanbul, Europe/Jersey, Europe/Kaliningrad, Europe/Kiev, Europe/Kirov, Europe/Lisbon, Europe/Ljubljana, Europe/London, Europe/Luxembourg, Europe/Madrid, Europe/Malta, Europe/Mariehamn, Europe/Minsk, Europe/Monaco, Europe/Moscow, Europe/Nicosia, Europe/Oslo, Europe/Paris, Europe/Podgorica, Europe/Prague, Europe/Riga, Europe/Rome, Europe/Samara, Europe/San_Marino, Europe/Sarajevo, Europe/Saratov, Europe/Simferopol, Europe/Skopje, Europe/Sofia, Europe/Stockholm, Europe/Tallinn, Europe/Tirane, Europe/Tiraspol, Europe/Ulyanovsk, Europe/Uzhgorod, Europe/Vaduz, Europe/Vatican, Europe/Vienna, Europe/Vilnius, Europe/Volgograd, Europe/Warsaw, Europe/Zagreb, Europe/Zaporozhye, Europe/Zurich, GB, GB-Eire, GMT, GMT+0, GMT-0, GMT0, Greenwich, HST, Hongkong, Iceland, Indian/Antananarivo, Indian/Chagos, Indian/Christmas, Indian/Cocos, Indian/Comoro, Indian/Kerguelen, Indian/Mahe, Indian/Maldives, Indian/Mauritius, Indian/Mayotte, Indian/Reunion, Iran, Israel, Jamaica, Japan, Kwajalein, Libya, MET, MST, MST7MDT, Mexico/BajaNorte, Mexico/BajaSur, Mexico/General, NZ, NZ-CHAT, Navajo, PRC, PST8PDT, Pacific/Apia, Pacific/Auckland, Pacific/Bougainville, Pacific/Chatham, Pacific/Chuuk, Pacific/Easter, Pacific/Efate, Pacific/Enderbury, Pacific/Fakaofo, Pacific/Fiji, Pacific/Funafuti, Pacific/Galapagos, Pacific/Gambier, Pacific/Guadalcanal, Pacific/Guam, Pacific/Honolulu, Pacific/Johnston, Pacific/Kiritimati, Pacific/Kosrae, Pacific/Kwajalein, Pacific/Majuro, Pacific/Marquesas, Pacific/Midway, Pacific/Nauru, Pacific/Niue, Pacific/Norfolk, Pacific/Noumea, Pacific/Pago_Pago, Pacific/Palau, Pacific/Pitcairn, Pacific/Pohnpei, Pacific/Ponape, Pacific/Port_Moresby, Pacific/Rarotonga, Pacific/Saipan, Pacific/Samoa, Pacific/Tahiti, Pacific/Tarawa, Pacific/Tongatapu, Pacific/Truk, Pacific/Wake, Pacific/Wallis, Pacific/Yap, Poland, Portugal, ROC, ROK, Singapore, Turkey, UCT, US/Alaska, US/Aleutian, US/Arizona, US/Central, US/East-Indiana, US/Eastern, US/Hawaii, US/Indiana-Starke, US/Michigan, US/Mountain, US/Pacific, US/Pacific-New, US/Samoa, UTC, Universal, W-SU, WET, Zulu Example:
"Europe/Berlin"
Response
The server cannot or will not process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing)
⌘I
Update an Organization
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"disabled": true,
"quotaMaxProjects": 123,
"quotaMaxUsers": 123,
"quotaMaxChannelsPerProject": 123,
"quotaMaxMessagesPerDay": 123,
"quotaMaxKnowledgeChunks": 123,
"passwordPolicy": {
"minLength": 123,
"maxLength": 123,
"minAmountLowerCase": 123,
"minAmountUpperCase": 123,
"minAmountSpecialCharacters": 123,
"minAmountNumbers": 123,
"maxAmountIdenticalCharacters": 123,
"minAmountFailedAttemptsAutoDisable": 123
},
"sessionStateTTLInMinutes": 123,
"contactProfileTTLInMinutes": 123,
"conversationTTLInMinutes": 123,
"billingTimezone": "Europe/Berlin",
"dataPrivacySettings": {
"enabled": true,
"useAnalytics": true,
"useContactProfiles": true,
"useConversations": true,
"maskAnalytics": true,
"maskLogging": true,
"ignoreList": [
"<string>"
]
},
"voiceConfigurations": {
"enableNiceSharedProviders": true,
"orgVoiceGatewayEnabled": true,
"niceProvidedSpeechEntitlements": [
{
"vendor": "<string>",
"stt": true,
"tts": true
}
]
},
"aiOpsCenterEnabled": true,
"proactiveProductEnabled": true,
"orgInPlatformLlmEnabled": true,
"orgResellLlmEnabled": true,
"simulator": {
"paidTier": true,
"runsMonthlyQuota": 1
},
"quotaMaxResourceUsage": 1,
"resourceUsagePaidTier": true,
"businessUnitId": "<string>",
"tenantId": "<string>"
}
'import requests
url = "https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}"
payload = {
"name": "<string>",
"disabled": True,
"quotaMaxProjects": 123,
"quotaMaxUsers": 123,
"quotaMaxChannelsPerProject": 123,
"quotaMaxMessagesPerDay": 123,
"quotaMaxKnowledgeChunks": 123,
"passwordPolicy": {
"minLength": 123,
"maxLength": 123,
"minAmountLowerCase": 123,
"minAmountUpperCase": 123,
"minAmountSpecialCharacters": 123,
"minAmountNumbers": 123,
"maxAmountIdenticalCharacters": 123,
"minAmountFailedAttemptsAutoDisable": 123
},
"sessionStateTTLInMinutes": 123,
"contactProfileTTLInMinutes": 123,
"conversationTTLInMinutes": 123,
"billingTimezone": "Europe/Berlin",
"dataPrivacySettings": {
"enabled": True,
"useAnalytics": True,
"useContactProfiles": True,
"useConversations": True,
"maskAnalytics": True,
"maskLogging": True,
"ignoreList": ["<string>"]
},
"voiceConfigurations": {
"enableNiceSharedProviders": True,
"orgVoiceGatewayEnabled": True,
"niceProvidedSpeechEntitlements": [
{
"vendor": "<string>",
"stt": True,
"tts": True
}
]
},
"aiOpsCenterEnabled": True,
"proactiveProductEnabled": True,
"orgInPlatformLlmEnabled": True,
"orgResellLlmEnabled": True,
"simulator": {
"paidTier": True,
"runsMonthlyQuota": 1
},
"quotaMaxResourceUsage": 1,
"resourceUsagePaidTier": True,
"businessUnitId": "<string>",
"tenantId": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
disabled: true,
quotaMaxProjects: 123,
quotaMaxUsers: 123,
quotaMaxChannelsPerProject: 123,
quotaMaxMessagesPerDay: 123,
quotaMaxKnowledgeChunks: 123,
passwordPolicy: {
minLength: 123,
maxLength: 123,
minAmountLowerCase: 123,
minAmountUpperCase: 123,
minAmountSpecialCharacters: 123,
minAmountNumbers: 123,
maxAmountIdenticalCharacters: 123,
minAmountFailedAttemptsAutoDisable: 123
},
sessionStateTTLInMinutes: 123,
contactProfileTTLInMinutes: 123,
conversationTTLInMinutes: 123,
billingTimezone: 'Europe/Berlin',
dataPrivacySettings: {
enabled: true,
useAnalytics: true,
useContactProfiles: true,
useConversations: true,
maskAnalytics: true,
maskLogging: true,
ignoreList: ['<string>']
},
voiceConfigurations: {
enableNiceSharedProviders: true,
orgVoiceGatewayEnabled: true,
niceProvidedSpeechEntitlements: [{vendor: '<string>', stt: true, tts: true}]
},
aiOpsCenterEnabled: true,
proactiveProductEnabled: true,
orgInPlatformLlmEnabled: true,
orgResellLlmEnabled: true,
simulator: {paidTier: true, runsMonthlyQuota: 1},
quotaMaxResourceUsage: 1,
resourceUsagePaidTier: true,
businessUnitId: '<string>',
tenantId: '<string>'
})
};
fetch('https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'disabled' => true,
'quotaMaxProjects' => 123,
'quotaMaxUsers' => 123,
'quotaMaxChannelsPerProject' => 123,
'quotaMaxMessagesPerDay' => 123,
'quotaMaxKnowledgeChunks' => 123,
'passwordPolicy' => [
'minLength' => 123,
'maxLength' => 123,
'minAmountLowerCase' => 123,
'minAmountUpperCase' => 123,
'minAmountSpecialCharacters' => 123,
'minAmountNumbers' => 123,
'maxAmountIdenticalCharacters' => 123,
'minAmountFailedAttemptsAutoDisable' => 123
],
'sessionStateTTLInMinutes' => 123,
'contactProfileTTLInMinutes' => 123,
'conversationTTLInMinutes' => 123,
'billingTimezone' => 'Europe/Berlin',
'dataPrivacySettings' => [
'enabled' => true,
'useAnalytics' => true,
'useContactProfiles' => true,
'useConversations' => true,
'maskAnalytics' => true,
'maskLogging' => true,
'ignoreList' => [
'<string>'
]
],
'voiceConfigurations' => [
'enableNiceSharedProviders' => true,
'orgVoiceGatewayEnabled' => true,
'niceProvidedSpeechEntitlements' => [
[
'vendor' => '<string>',
'stt' => true,
'tts' => true
]
]
],
'aiOpsCenterEnabled' => true,
'proactiveProductEnabled' => true,
'orgInPlatformLlmEnabled' => true,
'orgResellLlmEnabled' => true,
'simulator' => [
'paidTier' => true,
'runsMonthlyQuota' => 1
],
'quotaMaxResourceUsage' => 1,
'resourceUsagePaidTier' => true,
'businessUnitId' => '<string>',
'tenantId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"disabled\": true,\n \"quotaMaxProjects\": 123,\n \"quotaMaxUsers\": 123,\n \"quotaMaxChannelsPerProject\": 123,\n \"quotaMaxMessagesPerDay\": 123,\n \"quotaMaxKnowledgeChunks\": 123,\n \"passwordPolicy\": {\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minAmountLowerCase\": 123,\n \"minAmountUpperCase\": 123,\n \"minAmountSpecialCharacters\": 123,\n \"minAmountNumbers\": 123,\n \"maxAmountIdenticalCharacters\": 123,\n \"minAmountFailedAttemptsAutoDisable\": 123\n },\n \"sessionStateTTLInMinutes\": 123,\n \"contactProfileTTLInMinutes\": 123,\n \"conversationTTLInMinutes\": 123,\n \"billingTimezone\": \"Europe/Berlin\",\n \"dataPrivacySettings\": {\n \"enabled\": true,\n \"useAnalytics\": true,\n \"useContactProfiles\": true,\n \"useConversations\": true,\n \"maskAnalytics\": true,\n \"maskLogging\": true,\n \"ignoreList\": [\n \"<string>\"\n ]\n },\n \"voiceConfigurations\": {\n \"enableNiceSharedProviders\": true,\n \"orgVoiceGatewayEnabled\": true,\n \"niceProvidedSpeechEntitlements\": [\n {\n \"vendor\": \"<string>\",\n \"stt\": true,\n \"tts\": true\n }\n ]\n },\n \"aiOpsCenterEnabled\": true,\n \"proactiveProductEnabled\": true,\n \"orgInPlatformLlmEnabled\": true,\n \"orgResellLlmEnabled\": true,\n \"simulator\": {\n \"paidTier\": true,\n \"runsMonthlyQuota\": 1\n },\n \"quotaMaxResourceUsage\": 1,\n \"resourceUsagePaidTier\": true,\n \"businessUnitId\": \"<string>\",\n \"tenantId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"disabled\": true,\n \"quotaMaxProjects\": 123,\n \"quotaMaxUsers\": 123,\n \"quotaMaxChannelsPerProject\": 123,\n \"quotaMaxMessagesPerDay\": 123,\n \"quotaMaxKnowledgeChunks\": 123,\n \"passwordPolicy\": {\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minAmountLowerCase\": 123,\n \"minAmountUpperCase\": 123,\n \"minAmountSpecialCharacters\": 123,\n \"minAmountNumbers\": 123,\n \"maxAmountIdenticalCharacters\": 123,\n \"minAmountFailedAttemptsAutoDisable\": 123\n },\n \"sessionStateTTLInMinutes\": 123,\n \"contactProfileTTLInMinutes\": 123,\n \"conversationTTLInMinutes\": 123,\n \"billingTimezone\": \"Europe/Berlin\",\n \"dataPrivacySettings\": {\n \"enabled\": true,\n \"useAnalytics\": true,\n \"useContactProfiles\": true,\n \"useConversations\": true,\n \"maskAnalytics\": true,\n \"maskLogging\": true,\n \"ignoreList\": [\n \"<string>\"\n ]\n },\n \"voiceConfigurations\": {\n \"enableNiceSharedProviders\": true,\n \"orgVoiceGatewayEnabled\": true,\n \"niceProvidedSpeechEntitlements\": [\n {\n \"vendor\": \"<string>\",\n \"stt\": true,\n \"tts\": true\n }\n ]\n },\n \"aiOpsCenterEnabled\": true,\n \"proactiveProductEnabled\": true,\n \"orgInPlatformLlmEnabled\": true,\n \"orgResellLlmEnabled\": true,\n \"simulator\": {\n \"paidTier\": true,\n \"runsMonthlyQuota\": 1\n },\n \"quotaMaxResourceUsage\": 1,\n \"resourceUsagePaidTier\": true,\n \"businessUnitId\": \"<string>\",\n \"tenantId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"disabled\": true,\n \"quotaMaxProjects\": 123,\n \"quotaMaxUsers\": 123,\n \"quotaMaxChannelsPerProject\": 123,\n \"quotaMaxMessagesPerDay\": 123,\n \"quotaMaxKnowledgeChunks\": 123,\n \"passwordPolicy\": {\n \"minLength\": 123,\n \"maxLength\": 123,\n \"minAmountLowerCase\": 123,\n \"minAmountUpperCase\": 123,\n \"minAmountSpecialCharacters\": 123,\n \"minAmountNumbers\": 123,\n \"maxAmountIdenticalCharacters\": 123,\n \"minAmountFailedAttemptsAutoDisable\": 123\n },\n \"sessionStateTTLInMinutes\": 123,\n \"contactProfileTTLInMinutes\": 123,\n \"conversationTTLInMinutes\": 123,\n \"billingTimezone\": \"Europe/Berlin\",\n \"dataPrivacySettings\": {\n \"enabled\": true,\n \"useAnalytics\": true,\n \"useContactProfiles\": true,\n \"useConversations\": true,\n \"maskAnalytics\": true,\n \"maskLogging\": true,\n \"ignoreList\": [\n \"<string>\"\n ]\n },\n \"voiceConfigurations\": {\n \"enableNiceSharedProviders\": true,\n \"orgVoiceGatewayEnabled\": true,\n \"niceProvidedSpeechEntitlements\": [\n {\n \"vendor\": \"<string>\",\n \"stt\": true,\n \"tts\": true\n }\n ]\n },\n \"aiOpsCenterEnabled\": true,\n \"proactiveProductEnabled\": true,\n \"orgInPlatformLlmEnabled\": true,\n \"orgResellLlmEnabled\": true,\n \"simulator\": {\n \"paidTier\": true,\n \"runsMonthlyQuota\": 1\n },\n \"quotaMaxResourceUsage\": 1,\n \"resourceUsagePaidTier\": true,\n \"businessUnitId\": \"<string>\",\n \"tenantId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {},
"logLevel": "error"
}{
"type": "Method Not Allowed",
"title": "Method Not Allowed Error",
"status": 405,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Conflict",
"title": "Conflict Error",
"status": 409,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1004,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payload Too Large",
"title": "Payload Too Large Error",
"status": 413,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Internal Server Error",
"title": "Internal Server Error",
"status": 500,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Implemented",
"title": "Not Implemented Error",
"status": 501,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1009,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Bad Gateway",
"title": "Bad Gateway Error",
"status": 502,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Service Unavailable",
"title": "Service Unavailable Error",
"status": 503,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 503,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Gateway Timeout",
"title": "Gateway Timeout Error",
"status": 504,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}